# -*- coding: utf-8 -*-

# Authors: Roberto Alsina <roberto.alsina@canonical.com>
#
# Copyright 2011 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Wizard's side widget."""

from PyQt4 import QtGui

from ubuntuone_installer.gui.qt.ui import side_widget_ui

class SideWidget(QtGui.QWidget):

    """Wizard's side widget."""
    
    install_stage = 0
    signin_stage = 1
    choose_services_stage = 2
    select_sync_folders_stage = 3
    sync_stage = 4
    
    def __init__(self, *args, **kwargs):
        super(SideWidget, self).__init__(*args, **kwargs)
        self.ui = side_widget_ui.Ui_Form()
        self.ui.setupUi(self)
        
    def set_stage(self, stage):
        self.ui.install_label.setEnabled(stage >= 0)
        self.ui.sign_in_label.setEnabled(stage >= 1)
        self.ui.choose_services_label.setEnabled(stage >= 2)
        self.ui.select_folders_label.setEnabled(stage >= 3)
        self.ui.sync_label.setEnabled(stage >= 4)
